#!/bin/sh

OIFS="${IFS-}"
for prog in "$@"
do
  IFS=:
  for p in $PATH /usr/bin /usr/local/bin
  do
    IFS="$OIFS"
    if [ -f "$p/$prog" ]; then
      location="$p/$prog"
      progdir="$p"
      while [ -h "$location" ];
      do
        base="`basename "$location"`"
        lnk="`ls -l "$location" | sed "s@.*$base -> @@g"`"
        case "$lnk" in
           /*) location="$lnk" ;;
           *) location="$progdir/$lnk" ;;
        esac
        progdir="`dirname "$location"`"
      done
      progdir="`echo "$progdir" | sed 's@\(.\)//@\1/@g'`"
      progdir="`echo "$progdir" | sed 's@[^/.]*/\.\./@@g'`"

      #echo "PROGDIR=$progdir"

      for plugindir in "$progdir/plugins" "$progdir/../lib/$prog/plugins";
      do
         if [ -d "$plugindir" ]; then
           plugindir="`echo "$plugindir" | sed 's@[^/.]*/\.\./@@g'`"
           echo "Installing plugger.so for $prog in $plugindir" 
           ./install-sh -c plugger.so "$plugindir"
           break
         fi
      done
      break
    fi
  done
done
